# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/pytest-7.1.1-python_3.9-on-linux_64, last modified Mon Apr  4 10:06:13 2022
# ------------------------------------------------

package:
  name: pytest
  version: 7.1.1
source:
  sha256: 841132caef6b1ad17a9afde46dc4f6cfa59a05f9555aae5151f73bdf2820ca63
  url: https://pypi.io/packages/source/p/pytest/pytest-7.1.1.tar.gz
build:
  entry_points:
    - py.test = py.test:console_main
    - pytest = py.test:console_main
  number: '0'
  script: /tmp/build/80754af9/pytest_1649066887933/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeho/bin/python
    setup.py install --single-version-externally-managed --record record.txt
  string: py39h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2022.3.29 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - packaging 21.3 pyhd3eb1b0_0
    - pip 21.2.4 py39h06a4308_0
    - pyparsing 3.0.4 pyhd3eb1b0_0
    - python 3.9.11 h12debd9_2
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - setuptools-scm 6.3.2 pyhd3eb1b0_0
    - setuptools_scm 6.3.2 hd3eb1b0_0
    - sqlite 3.38.2 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - toml 0.10.2 pyhd3eb1b0_0
    - tomli 1.2.2 pyhd3eb1b0_0
    - tzdata 2022a hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - attrs >=19.2.0
    - iniconfig
    - packaging
    - pluggy >=0.12,<2.0
    - py >=1.8.2
    - python >=3.9,<3.10.0a0
    - tomli >=1.0.0
  run_constrained:
    - pytest-faulthandler >=2
test:
  commands:
    - pytest -h
    - pip check
  imports:
    - pytest
  requires:
    - pip
about:
  description: 'The pytest framework makes it easy to write small tests, yet scales
    to

    support complex functional testing for applications and libraries.

    '
  dev_url: https://github.com/pytest-dev/pytest/
  doc_url: https://docs.pytest.org/en/latest/
  home: https://docs.pytest.org/en/latest/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Simple and powerful testing with Python.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - flub
    - goanpeca
    - mingwandroid
    - nicoddemus
    - ocefpaf
